### Method

# ICalGLib Datetimeperiod set_period

since: 1.0

#### Declaration [src]

    void
    i_cal_datetimeperiod_set_period (
      ICalDatetimeperiod* dtp,
      ICalPeriod* period
    )

#### Description [src]

Sets the period attribute of `ICalDatetimeperiod`.

Available since: 1.0

#### Parameters

`period`

  Type: `ICalPeriod`

  The period attribute of `dtp`.

  The data is owned by the caller of the method.